{
  "name": "openapi",
  "version": "0.0.1",
  "description": "openapi Vue Component",
  "author": "guxukai",
  "scripts": {
    "serve": "vue-cli-service serve",
    "build": "vue-cli-service build",
    "test:unit": "vue-cli-service test:unit",
    "lint": "vue-cli-service lint",
    "build-lib": "vue-cli-service build --target lib --name openapi ./src/components/openapi.vue",
    "test": "jest"
  },
  "main": "./dist/openapi.umd.min.js",
  "files": [
    "dist"
  ],
  "dependencies": {
    "ant-design-vue": "^1.7.8",
    "@tailwindcss/line-clamp": "^0.2.0",
    "@tailwindcss/typography": "^0.4.1"
  },
  "devDependencies": {
    "@typescript-eslint/eslint-plugin": "^3.8.0",
    "@typescript-eslint/parser": "^3.8.0",
    "@vue/cli-plugin-babel": "^4.4.6",
    "@vue/cli-plugin-eslint": "^4.4.6",
    "@vue/cli-plugin-typescript": "^4.4.6",
    "@vue/cli-service": "^4.4.6",
    "@vue/eslint-config-typescript": "^5.0.2",
    "@vue/test-utils": "^1.0.3",
    "babel-core": "^7.0.0-bridge.0",
    "babel-eslint": "^10.1.0",
    "babel-jest": "^26.1.0",
    "eslint": "^7.6.0",
    "eslint-config-standard": "^14.1.1",
    "eslint-plugin-import": "^2.22.0",
    "eslint-plugin-node": "^11.1.0",
    "eslint-plugin-promise": "^4.2.1",
    "eslint-plugin-standard": "^4.0.1",
    "eslint-plugin-vue": "^6.2.2",
    "jest": "^26.1.0",
    "sass": "^1.26.10",
    "sass-loader": "^9.0.2",
    "typescript": "~3.9.7",
    "vue": "^2.6.11",
    "vue-jest": "^3.0.6",
    "vue-template-compiler": "^2.6.11",
    "less": "3.12.2",
    "less-loader": "4.1.0",
    "@tailwindcss/postcss7-compat": "^2.0.4",
    "tailwindcss": "npm:@tailwindcss/postcss7-compat@^2.1.0",
    "babel-plugin-import": "^1.13.3"
  },
  "eslintConfig": {
    "root": true,
    "env": {
      "node": true
    },
    "extends": [
      "plugin:vue/essential",
      "eslint:recommended",
      "@vue/typescript"
    ],
    "rules": {},
    "parserOptions": {
      "parser": "@typescript-eslint/parser"
    },
    "overrides": [
      {
        "files": [
          "**/__tests__/*.{j,t}s?(x)",
          "**/tests/unit/**/*.spec.{j,t}s?(x)"
        ],
        "env": {
          "mocha": true
        }
      }
    ]
  },
  "browserslist": [
    "> 1%",
    "last 2 versions"
  ],
  "jest": {
    "collectCoverage": true,
    "collectCoverageFrom": [
      "**/*.{js,vue}",
      "!**/node_modules/**"
    ],
    "coverageReporters": [
      "html",
      "text-summary"
    ],
    "moduleFileExtensions": [
      "js",
      "json",
      "vue"
    ],
    "transform": {
      ".*\\.(vue)$": "vue-jest",
      "^.+\\.js$": "<rootDir>/node_modules/babel-jest"
    }
  }
}
